Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155362 - CVE-2005-3273 ROSE ndigis verification
Summary: CVE-2005-3273 ROSE ndigis verification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-04-19 15:36 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0579
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-13 11:45:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0579 normal SHIPPED_LIVE Important: kernel security update 2006-07-13 04:00:00 UTC

Description Mark J. Cox 2005-04-19 15:36:12 UTC
An error exists in ROSE due to missing verification of the ndigis argument of
new routes.  This was found by Coverity 20041216, rose_rt_ioctl.

http://linux.bkbits.net:8080/linux-2.6/cset@423114bcdthRtmtdS6MsZiBVvteGCg
http://linux.bkbits.net:8080/linux-2.4/cset@41e2cf515TpixcVQ8q8HvQvCv9E6zA

Comment 3 Mike Gahagan 2006-07-12 18:35:48 UTC
Patch to fix this is in e.70 and builds...


Comment 5 Red Hat Bugzilla 2006-07-13 11:45:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0579.html



Note You need to log in before you can comment on or make changes to this bug.